%global pypi_name zake

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        0.2.2
Release:        2%{?dist}
Summary:        Testing utilities for the kazoo library

License:        ASL 2.0
URL:            https://github.com/yahoo/Zake
Source0:        https://pypi.python.org/packages/source/z/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/yahoo/Zake/master/LICENSE
BuildArch:      noarch

%description
It is a python package that works to provide a nice set of testing
utilities for the `kazoo`_ library.
It includes the following functionality:
* Storage access (for viewing what was saved/created).
* Kazoo *mostly* compatible client API.
* Sync/transaction/create/get/delete... ...

%package -n python2-%{pypi_name}
Summary:        Testing utilities for the kazoo library
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:       python2-devel
BuildRequires:       python-kazoo
BuildRequires:       python-six
BuildRequires:       python-setuptools

Requires:    python-kazoo

%description -n python2-%{pypi_name}
It is a python package that works to provide a nice set of testing
utilities for the `kazoo`_ library.
It includes the following functionality:
* Storage access (for viewing what was saved/created).
* Kazoo *mostly* compatible client API.
* Sync/transaction/create/get/delete... ...

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Testing utilities for the kazoo library
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:       python3-devel
BuildRequires:       python3-kazoo
BuildRequires:       python3-six
BuildRequires:       python3-setuptools

Requires:    python-kazoo

%description -n python3-%{pypi_name}
It is a python package that works to provide a nice set of testing
utilities for the `kazoo`_ library.
It includes the following functionality:
* Storage access (for viewing what was saved/created).
* Kazoo *mostly* compatible client API.
* Sync/transaction/create/get/delete... ...
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
cp -p %{SOURCE1} .

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 30 2015 Chandan Kumar <chkumar246@gmail.com> - 0.2.2-1
- Initial package.
